Package org.python.core

# Class ReflectedArgs

java.lang.Object
org.python.core.ReflectedArgs

public class ReflectedArgs extends Object
Map the signature of a method to the `Method` itself, within the context of a given simple name. This is used in support of signature polymorphism in Java methods and constructors reflected into Python.

## Field Summary

Fields
Modifier and Type
Field
Description
`Class<?>[]`
`args`
The types of arguments defining this signature (key)
`Class<?>`
`declaringClass`
`int`
`flags`
`boolean`
`isStatic`
`boolean`
`isVarArgs`
`Member`
`method`
The specific method (or constructor).
`static final int`
`PyArgsCall`
`static final int`
`PyArgsKeywordsCall`
`static final int`
`REPLACE`
`static final int`
`StandardCall`

## Constructor Summary

Constructors
Constructor
Description
`ReflectedArgs(Member method, Class<?>[] args, Class<?> declaringClass, boolean isStatic)`
`ReflectedArgs(Member method, Class<?>[] args, Class<?> declaringClass, boolean isStatic, boolean isVarArgs)`

## Method Summary

Modifier and Type
Method
Description
`static int`
`compare(Class<?> arg1, Class<?> arg2)`
`int`
`compareTo(ReflectedArgs other)`
`boolean`
`matches(PyObject self, PyObject[] pyArgs, String[] keywords, org.python.core.ReflectedCallData callData)`
`static int`
`precedence(Class<?> arg)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### args

public Class<?>[] args
The types of arguments defining this signature (key)

### method

public Member method
The specific method (or constructor).

### declaringClass

public Class<?> declaringClass

### isStatic

public boolean isStatic

### isVarArgs

public boolean isVarArgs

### flags

public int flags

### StandardCall

public static final int StandardCall

See Also:
  - Constant Field Values

### PyArgsCall

public static final int PyArgsCall

See Also:
  - Constant Field Values

### PyArgsKeywordsCall

public static final int PyArgsKeywordsCall

See Also:
  - Constant Field Values

### REPLACE

public static final int REPLACE

See Also:
  - Constant Field Values

## Constructor Details

### ReflectedArgs

public ReflectedArgs(Member method, Class<?>[] args, Class<?> declaringClass, boolean isStatic)

### ReflectedArgs

public ReflectedArgs(Member method, Class<?>[] args, Class<?> declaringClass, boolean isStatic, boolean isVarArgs)

## Method Details

### matches

public boolean matches(PyObject self, PyObject[] pyArgs, String[] keywords, org.python.core.ReflectedCallData callData)

### precedence

public static int precedence(Class<?> arg)

### compare

public static int compare(Class<?> arg1, Class<?> arg2)

### compareTo

public int compareTo(ReflectedArgs other)

### toString

public String toString()

Overrides:
  `toString` in class `Object`